# $Id: module_scope2.rb,v 1.1 2002/12/16 09:44:52 yuya Exp $

p(self.type)
p(self)

module Foo

  p(self.type)
  p(self)

  module Bar

    p(self.type)
    p(self)

    module Baz

      p(self.type)
      p(self)

    end

    p(self.type)
    p(self)

  end

  p(self.type)
  p(self)

end

p(self.type)
p(self)
